CHOWN(1L)

NAME
chown - change the user and group ownership of files

SYNOPSIS
chown [-FRchfv] [--recursive] [--changes] [--no-dereference] [--help] [--version] [--from OO.OG] [--silent] [--quiet] [--verbose] [user][:.][group] file...

DESCRIPTION
This manual page documents the GNU version of chown. chown changes the user and/or group ownership of each given file, according to its first non-option argument, which is interpreted as follows. If only a user name (or numeric user ID) is given, that user is made the owner of each given file, and the files' group is not changed. If the user name is followed by a colon or dot and a group name (or numeric group ID), with no spaces between them, the group ownership of the files is changed as well. If a colon or dot but no group name follows the user name, that user is made the owner of the files and the group of the files is changed to that user's login group. If the colon or dot and group are given, but the user name is omitted, only the group of the files is changed; in this case, chown performs the same function as chgrp.

  OPTIONS

-c, --changes
    Verbosely describe only files whose ownership actually changes.

-f, --silent, --quiet
    Do not print error messages about files whose ownership cannot be changed.

-v, --verbose
    Verbosely describe ownership changes.

-R, --recursive
    Recursively change ownership of directories and their contents.

-F, --from=ouid.ogid
    Only change ownership of files with given owner and/or group.

-h, --no-dereference
    Do not follow symbolic links, but change the owner of the links themselves (if possible). This is the default with -R.

--help
    Print a usage message on standard output and exit successfully.

--version
    Print version information on standard output then exit successfully.